// priority: 0

onEvent('recipes', event => {
	event.shaped(KJ('drill_head'), [
		'NN ',
		'NLP',
		' PL'
	], {
		N: F('#nuggets/iron'),
		P: F('#plates/iron'),
		L: F('#ingots/cobalt')
	})

	event.shaped(KJ('saw_blade'), [
		'NPN',
		'PLP',
		'NPN'
	], {
		N: F('#nuggets/iron'),
		P: F('#plates/iron'),
		L: F('#ingots/cobalt')
	})



	const wafers = [
		{
            output: Item.of(AE2('1k_cell_component'), 9),
            inputs: KJ('1k_component_wafer')
        },
        {
            output: Item.of(AE2('4k_cell_component'), 9),
            inputs: KJ('4k_component_wafer')
        },
        {
            output: Item.of(AE2('16k_cell_component'), 9),
            inputs: KJ('16k_component_wafer')
        },
        {
            output: Item.of(AE2('64k_cell_component'), 9),
            inputs: KJ('64k_component_wafer')
        },
        {
            output: Item.of(AE2E('256k_cell_component'), 9),
            inputs: KJ('256k_component_wafer')
        },
        {
            output: Item.of(AE2E('1m_cell_component'), 9),
            inputs: KJ('1m_component_wafer')
        },
        {
            output: Item.of(AE2E('4m_cell_component'), 9),
            inputs: KJ('4m_component_wafer')
        },
        {
            output: Item.of(AE2E('16m_cell_component'), 9),
            inputs: KJ('16m_component_wafer')
        },
		{
            output: Item.of(AE2('logic_processor'), 9),
            inputs: KJ('logic_processor_wafer')
        },
        {
            output: Item.of(AE2('engineering_processor'), 9),
            inputs: KJ('engineering_processor_wafer')
        },
        {
            output: Item.of(AE2('calculation_processor'), 9),
            inputs: KJ('calculation_processor_wafer')
        },
	]
	wafers.forEach((wafer) => {
        event.shapeless(wafer.inputs, wafer.output)
        event.shapeless(wafer.output, wafer.inputs);
    });



    //witherpoof blocks
    event.shaped(KJ("witherproof_block"), [
		' B ',
		'BSB',
		' B '
	], {
		B: TC("necrotic_bone"),
		S: MC("obsidian")
	})

    event.shaped(KJ("witherproof_bricks"), [
		'BB ',
		'BB '
	], {
		B: KJ("witherproof_block")
	})
})